Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-enterprise-incremental-ipv6-01.txt

From: Arturo Servin <[email-masked]>
Date: Wed, 07 Nov 2012 09:40:40 -0500

Sorry about a bit late.

	Some comments:

	Section 3.4.3 (and 4.3)

	I-D.gashinsky-v6ops-v6nd-problems is now rfc6583.

	3.5 Address plan

	I am not sure that the operation community has converged to declare
/127 for p2p links even though RFC6164. In any case, a recommendation to
use a /127 but to reserved a /64 for future use may be good to add.

	4.4 is empty. Are you planning to add text? I think you should.

	Also, some considerations from 4.4 (Applications) I think apply to 5.3
(application testing, database length fields, logging, etc.)

	6.2 IPv6-only
	
	I think you are missing an important motivation to move to IPv6 only.
This cost is in datacenter operations where admins do not need to
maintain ipv4 for applications that never interact with the end-user
(with v4), for example databases, application servers, etc. Hence there
is a saving by not maintaining double server configurations, firewalls,
etc.

	7.2 Data center virt.

	You can add some of my previous comment here as well.

Regards,
as

On 15/09/2012 14:05, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>  This draft is a work item of the IPv6 Operations Working Group of the IETF.
> 
> 	Title           : Enterprise IPv6 Deployment Guidelines
> 	Author(s)       : Kiran K. Chittimaneni
>                           Tim Chown
>                           Lee Howard
>                           Victor Kuarsingh
>                           Yanick Pouffary
>                           Eric Vyncke
> 	Filename        : draft-ietf-v6ops-enterprise-incremental-ipv6-01.txt
> 	Pages           : 28
> 	Date            : 2012-09-15
> 
> Abstract:
>    Enterprise network administrators worldwide are in various stages of
>    preparing for or deploying IPv6 into their networks.  The
>    administrators face different challenges than operators of Internet
>    access providers, and have reasons for different priorities.  The
>    overall problem for many administrators will be to offer Internet-
>    facing services over IPv6, while continuing to support IPv4, and
>    while introducing IPv6 access within the enterprise IT network.  The
>    overall transition will take most networks from an IPv4-only
>    environment to a dual stack network environment and potentially an
>    IPv6-only operating mode.  This document helps provide a framework
>    for enterprise network architects or administrators who may be faced
>    with many of these challenges as they consider their IPv6 support
>    strategies.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-v6ops-enterprise-incremental-ipv6
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-v6ops-enterprise-incremental-ipv6-01
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-enterprise-incremental-ipv6-01
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>